<!-- Linea 1 -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <!-- Linea 2 -->
    <a class="navbar-brand" href="#">{{ title }}</a>

    <!-- <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button> -->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <!-- Linea 5 -->
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <!-- Linea 4 -->
        <li *ngIf="auth.isAuthenticated()" class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink="/clientes" >Clientes</a>
        </li>
        <!-- Linea 3 -->
        <li *ngIf="auth.isAuthenticated()" class="nav-item" routerLinkActive="active">
          <a class="nav-link" routerLink="/directivas" >Directivas</a>
        </li>

        <!-- <li class="nav-item">
          <a class="nav-link" href="#">Link</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Dropdown
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <li><a class="dropdown-item" href="#">Action</a></li>
            <li><a class="dropdown-item" href="#">Another action</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="#">Something else here</a></li>
          </ul>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
        </li> -->
      </ul>
      <!-- Linea 6 -->
      <!-- <form class="d-flex">
        <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form> -->
      <!-- Linea 7 -->
      <ul class="navbar-nav navbar-right">
        <!-- Linea 8 -->
        <li *ngIf="!auth.isAuthenticated()" class="nav-item" routerLinkActive="active">
          <a class="btn btn-outline-primary" routerLink="/login" >Sing In!</a>
        </li>
        <!-- Linea 9 -->
        <li *ngIf="auth.isAuthenticated()" class="dropdown">
            <a style="width: 180px" class="btn btn-outline-primary dropdown-toggle" type="button" id="dropdownMenuButton2" data-bs-toggle="dropdown" aria-expanded="false">
              {{auth.usuario.username}}
            </a>
            <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="dropdownMenuButton2">
              <!-- Linea 10 -->
              <button (click)="logout()" type="submit" class="dropdown-item" name="sing_out">Sing Out</button>
            </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>

<!-- Tarea 4  -->
  <!-- Linea 1: Agregar el menu de navegacion -->
  <!-- Linea 2: Imprimir el titulo en el navbar -->

<!-- Tarea 34 -->
  <!-- Linea 3: Crear el link hacia el componente directiva -->
  <!-- Linea 4: Crear el link hacia el componente clientes -->

<!-- Tarea 206 -->
  <!-- Linea 5: Quitar todos los links y solo dejar las directivas, clientes y home -->
  <!-- Linea 6: Quitar la barra de busqueda del header -->
  <!-- Linea 7: Crear un nuevo ul-li para el login -->

<!-- Tarea 216 -->
  <!-- Linea 8: Utilizamos el AuthService para ocultar o mostrar el boton de Sing In  -->
  <!-- Linea 9: Implementamos el dropdown para cerrar sesion  -->
  <!-- Linea 10: En el boton Sing Out llamamos al metodo logout()  -->
